<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>FAQ</title>

    <object th:include="fragments/fragment :: navbar-css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&family=Roboto:wght@100&family=Water+Brush&display=swap" rel="stylesheet">
    <link rel="stylesheet" th:href="@{https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css}">
    <link rel="stylesheet" th:href="@{/css/view-all-faq-style.css}">

</head>
<body>
<header th:replace="fragments/fragment :: navbar"></header>
<main>
    <div class="section-container">
        <div style="padding-bottom: 0" class="section-title">
            <div class="judul-faq">
                <h1>Frequently Asked Questions</h1>
            </div>
            <div class="input-field search">
                <form th:onsubmit="onSubmitSearch(event)" class="nosubmit">
                    <input type="search" class="nosubmit form-control rounded fa fa-search" placeholder="Search"  aria-label="Search" aria-describedby="search-addon" />
                </form>
            </div>
        </div>
        <div id="load-faq">
            <script>
                $(function() {
                    $('#load-faq').load(`/faq/view-body-all-faq.html`);
                });
            </script>
        </div>

    </div>
</main>
</body>
<script>


    const onSubmitSearch = (event) => {
        event.preventDefault()
        console.log(event.srcElement[0].value)

        $(function() {
            $('#load-faq').load(`/faq/view-body-all-faq.html?searchBy=${event.srcElement[0].value.replace(" ", "%20")}`);
        });
    }

</script>

</html>